Package org.apache.lucene.analysis.ja.dict

# Class TokenInfoFST

java.lang.Object
org.apache.lucene.analysis.morph.TokenInfoFST
org.apache.lucene.analysis.ja.dict.TokenInfoFST

public final class TokenInfoFST extends TokenInfoFST
Thin wrapper around an FST with root-arc caching for Japanese.

Depending upon fasterButMoreRam, either just kana (191 arcs), or kana and han (28,607 arcs) are cached. The latter offers additional performance at the cost of more RAM.

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.analysis.morph.TokenInfoFST

  `fst, NO_OUTPUT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TokenInfoFST(FST<Long> fst, boolean fasterButMoreRam)`

- ## Method Summary

  ### Methods inherited from class org.apache.lucene.analysis.morph.TokenInfoFST

  `findTargetArc, getBytesReader, getFirstArc`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TokenInfoFST

    public TokenInfoFST(FST<Long> fst, boolean fasterButMoreRam) throws IOException
    Throws:
      `IOException`